\name{ECLSort}
\alias{ECLSort}
\docType{data}
\title{
  Creates an ECL "SORT" definition.
}
\description{
  Creates an ECL "SORT" definition.
  The SORT function sorts the recordset according to the values specified.
}
\usage{
    sort <- ECLSort$new(name="sortedTable", inDataset = tblCatalog)
    sort$addField("ProdLine")
    sort$addField("ProdName")
    ecl1$add(sort)
}

\references{
  HPCC Systems (http://hpccsystems.com)
  ECL Language Reference (http://hpccsystems.com/download/docs/ecl-language-reference)
}
\examples{
  \dontrun{
    sort <- ECLSort$new(name="sortedTable", inDataset = tblCatalog)
    sort$addField("ProdLine")
    sort$addField("ProdName")
    ecl1$add(sort)
  }
}
