\name{sprayECL-class}
\Rdversion{1.1}
\docType{class}
\alias{sprayECL-class}
\alias{sprayECL}

\title{
  This class is used to Spray/Distribute the data across all nodes
}
\description{
  This class contains fileds/methods that are used to upload the file(data) from the landing zone to the cluster.
}

\references{
  HPCC Systems (http://hpccsystems.com)
  ECL Language Reference (http://hpccsystems.com/download/docs/ecl-language-reference)
}

\examples{
  \dontrun{
    //  CODE TO SPRAY FIXED LENGTH FILE
    host <- '192.168.217.132';
    spray <- sprayECL$new(name="SprayFIXED")
    spray$addField("fileType", "fixed")
    spray$addField("ip", host)
    spray$addField("recordSize", "301")
    spray$addField("clustername", "mythor")
    spray$addField("filePath", "/var/lib/HPCCSystems/mydropzone/Urinary_Cancer.txt")
    spray$addField("logicalFileName", "~seer::incidence::urinary_cancer")
    ecl <- ECL$new(hostName= host, port="8010")
    ecl$add(spray)
    ecl$print()
    ecl$execute()
  
    //  CODE TO SPRAY VARIABLE LENGTH FILE
  
    host <- '192.168.217.132';
    spray <- sprayECL$new(name="SprayCSV")
    spray$addField("fileType", "csv")
    spray$addField("ip", host)
    spray$addField("clustername", "mythor")
    spray$addField("filePath", "/var/lib/HPCCSystems/mydropzone/State_FIPS_Codes.csv")
    spray$addField("logicalFileName", "~seer::statefipscode")
    ecl <- ECL$new(hostName= host, port="8010")
    ecl$add(spray)
    ecl$print()
    ecl$execute()
  }
}
\keyword{classes}
\section{Fields}{
  \describe{
    \item{\code{name}:}{Object of class \code{character} Class Name }
    \item{\code{ip}:}{Object of class \code{character} HPCC server hostname }
    \item{\code{port}:}{Object of class \code{character} HPCC server port }
    \item{\code{clusterName}:}{Object of class \code{character} Cluster name on which the ECL code will execute }
    \item{\code{filePath}:}{Object of class \code{character} File path in dropzone }
    \item{\code{logicalFileName}:}{Object of class \code{character} Logical File Name }
    \item{\code{fileType}:}{Object of class \code{character} CSV/FIXED/XML }
    \item{\code{recordSize}:}{Object of class \code{character} Record Size for Fixed Length file }
  }
}
\section{Methods}{
  \describe{
    \item{\code{print()}:}{ Prints the ECL code. }
    \item{\code{addField(fieldType, fieldName)}:}{ Used to add member }
    \item{\code{getName()}:}{ Returns Class Name }
  }
}
